Bug 229898 - [exp-run] lang/ruby2[45]: get rid of unescaped "-Wl,soname,$@" in LDFLAGS
Summary: [exp-run] lang/ruby2[45]: get rid of unescaped "-Wl,soname,$@" in LDFLAGS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dima Panov
URL: https://reviews.freebsd.org/D16341
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-20 02:00 UTC by Dima Panov
Modified: 2018-09-24 02:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)
koobs: merge-quarterly+
antoine: exp-run+


Attachments
lang/ruby2[45]: get rid of unescaped "-Wl,soname,$@" in LDFLAGS (3.29 KB, patch)
2018-07-20 02:00 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2018-07-20 02:00:46 UTC
Created attachment 195287 [details]
lang/ruby2[45]: get rid of unescaped "-Wl,soname,$@" in LDFLAGS

lang/ruby2[45]: Use internal RUBY_DLDFLAGS right way, get rid of unescaped macro '$@' for build and in the pkg-config template

lang/ruby23 is already fixed same way, port it to newer releases

This unbreak ninja builds with any ports relied on libruby.so

=== example buildlog unpatched ===
ninja: error: build.ninja:3434: bad $-escape (literal $ must be written as $$)
  LINK_LIBRARIES = -fstack-protector -Wl,-soname,$@ -lruby24 -lelf -lunw...
                                                 ^ near here
==================================
Comment 2 Dima Panov freebsd_committer 2018-07-21 10:21:37 UTC
(In reply to Antoine Brodin from comment #1)
Should be fixed by r475063
Comment 3 Antoine Brodin freebsd_committer 2018-07-24 19:49:50 UTC
Exp-run looks fine.
Comment 4 commit-hook freebsd_committer 2018-07-28 02:53:54 UTC
A commit references this bug:

Author: fluffy
Date: Sat Jul 28 02:53:06 UTC 2018
New revision: 475483
URL: https://svnweb.freebsd.org/changeset/ports/475483

Log:
  lang/ruby2[4|5]: Use internal RUBY_DLDFLAGS right way, get rid of unescaped macro '$@' in the pkg-config template

  lang/ruby23 is already fixed same way, port it to newer releases

  By the way, this unbreak ninja builds with any port relied on libruby.so

  PR:		229898
  Submitted by:	fluffy
  Reviewed by:	ruby (miwi)
  Approved by:	ruby (miwi)
  Exp-run by:	antoine
  MFH:		2018Q3
  Differential Revision:	D16341

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby24/files/patch-configure.in
  head/lang/ruby25/files/patch-configure.ac
Comment 5 commit-hook freebsd_committer 2018-07-28 03:38:33 UTC
A commit references this bug:

Author: fluffy
Date: Sat Jul 28 03:37:54 UTC 2018
New revision: 475488
URL: https://svnweb.freebsd.org/changeset/ports/475488

Log:
  MFH: r475483

  lang/ruby2[4|5]: Use internal RUBY_DLDFLAGS right way, get rid of unescaped macro '$@' in the pkg-config template

  lang/ruby23 is already fixed same way, port it to newer releases

  By the way, this unbreak ninja builds with any port relied on libruby.so

  PR:		229898
  Submitted by:	fluffy
  Reviewed by:	ruby (miwi)
  Approved by:	ruby (miwi)
  Exp-run by:	antoine
  Differential Revision:	D16341

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/Mk/bsd.ruby.mk
  branches/2018Q3/lang/ruby24/files/patch-configure.in
  branches/2018Q3/lang/ruby25/files/patch-configure.ac
Comment 6 Romain Tartière freebsd_committer 2018-07-31 14:46:15 UTC
This change breaks sysutils/facter (build fine, but does not run; see bug 230238 for details).

Do you have an idea about what is going wrong?
Comment 7 Dima Panov freebsd_committer 2018-08-08 23:09:29 UTC
(In reply to Romain Tartière from comment #6)
Sorry for late answer but yes, I have some ideas after fast check. Will investigate more next days.
Comment 8 albert.shih 2018-09-04 13:55:23 UTC
(In reply to Dima Panov from comment #7)

Any new about this problem with facter/puppet/ruby ?

It's become a annoying for those who use puppet for everything. 

Regards
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2018-09-24 02:15:01 UTC
(In reply to albert.shih from comment #8)

Resolved in ports r480158 by romain@ in bug 230238